// ==UserScript==
// @include http://*torrentleech.org/*
// ==/UserScript==

	var domLoaded = function (callback)
		{
	    if (document.addEventListener) { document.addEventListener('DOMContentLoaded', callback, false); }
		};

	domLoaded(function()
		{
		// make buttons filters and categories look not clicked
		$('#categoryButton, #facetButton').attr("checked",'checked');
		// hide panels filters and categories
		setTimeout("hideMyPanels()",10); // must run later / conflict with another js

		// support TL banner
		$('#supportTorrentLeech').remove();

		// custom button
		$('#filterTools').append(' <button>Můj výběr</button>').find('button:last').button({icons:{primary:"ui-icon-arrowreturnthick-1-w"}}).click(function(){
			window.location='http://www.torrentleech.org/torrents/browse/index/categories/13,14,29,17/orderby/added';
			return false;
			})

		// custom button
		$('#filterTools').append('<button>720p seriály</button>').find('button:last').button().click(function(){
			window.location='http://www.torrentleech.org/torrents/browse/index/categories/32/orderby/added';
			return false;
			});

		// make all IMDB links look like buttons
		$('a[href*=imdb.com/]').attr('target','_blank').button();

		// make the logo smaller
		$('#main #middle').css('height','44px').find('img').css('margin-top','-100px');

		// cancel bold font style on torrent links
		$('table.display td.name .title').css('font-weight','normal').next('.newicon').css('color','#eeea06');

		// fix ASCII graphics on textual NFOs (needs css+gif files linked and Terminus font installed), add images
		$("#torrentTabs").bind('tabsload', function(event, ui) {
			if (ui.index!=1)
				{return;}

			if (window.oemstyle == null)
				{
				$('head').append('<link rel="stylesheet" href="http://oem.kafemlynek.cz/oem.css.php" type="text/css" />');
				window.oemstyle = true;
				}

			var s = $('pre.nfo').html();
			var o = '';
			var c = s.length;
			var i = 0; var cl=0; var ml=0;
			for (i=0;i<c;i++)
				{
				var b = s.charCodeAt(i);
				if ((b==13) || (b==10))
					{
					if (cl>ml)
						{ml = cl;}
					cl = 0;
					} else {
					cl += 1;
					}
				if ( ((b>=1) && (b<=9)) || ((b>=11) && (b<=12)) || ((b>=14) && (b<=31)) || ((b>=128) && (b<=255)) )
					{
					o += '<span class="nfocharacter oem-'+b+'"></span>';
					} else {
					o += s.charAt(i);
					}
				}

			if (cl>ml)
				{ml = cl;}
			o = o.replace(/\[img\].*>(.*)<.*\[\/img\]/ig,'<img src="$1" class="top_up" href="$1" />') // clickable images
				 .replace(/<a href=\"(.*\.(png|jpg|gif))\".*<\/a>/ig,'<img src="$1" class="top_up" href="$1" />') // clickable images
				 .replace(/\[color=(.*)\](.*)\[\/color\]/ig,'<span style="color: $1">$2</span>') // colors
				 .replace(/\[b\](.*)\[\/b\]/ig,'<span style="color: white">$1</span>'); // colors
			$('pre.nfo').css('width',((ml+1)*9)+'px').html(o).find('a').attr('target','_blank');
			});

		})

	function hideMyPanels()
		{$("#filtertorrents, #facets").stop().hide();}
